<?php

/* ========================================================================
 * $Id: message.php 1280 2020-05-16 10:58:29Z onez $
 * 
 * Email: www@onez.cn
 * QQ: 6200103
 * HomePage: http://www.onez.cn
 * ========================================================================
 * Copyright 2016-2017 佳蓝科技.
 * 
 * ======================================================================== */

!defined('IN_ONEZ') && exit('Access Denied');
# index
$where=$G['this']->where();
#请求数据
if($MODE=='$post'){
  $action=onez()->gp('action');
  if($action=='data'){
    $action=onez()->gp('ac');
    if($action=='del'){
      $id=(int)onez()->gp('id');
      $G['this']->data()->open('message')->delete("id='$id'$where");
      return $this->ok('删除成功','reload');
    }
    $data=array();
    $data['title']='消息管理';
    $data['btns'][]=array(
      'name'=>'添加消息',
      'href'=>'./edit.php',
      'args'=>'width=800&height=600&title=添加消息',
    );
    
    $datatable=$this->load('datatable');
    
    $datatable->set('del','1');
    $datatable->set('fields','id');
    $datatable->add('标题','title');
    $datatable->add('发送者','userid',array (
      'type' => 'user',
    ));
    $datatable->add('时间','addtime',array (
      'type' => 'time',
    ));
    $datatable->output($data,array(
      'table'=>'message',
      'where'=>"1$where order by id desc",
      'pagesize'=>20,
    ));
    $A['pagedata']=$data;
  }
  return;
}
$this->add(array(
  'type'=>'breadcrumb',
  'name'=>'面包屑导航',
  'data'=>'pagedata',
));
$this->add(array(
  'type'=>'datatable',
  'name'=>'数据列表',
  'data'=>'pagedata',
));

?>
